
# --------------------------------------
#   pnp_feeder_v1
#   65f697424ad6244acanv
__canvas_id__ = '65f697424ad6244a'
# __version__ = TODO: add this
# --------------------------------------
def code_block(event, feeder_0, feeder_1, feeder_2, feeder_3, feeder_4, feeder_5, feeder_6, feeder_7):
  feeders = [feeder_0, feeder_1, feeder_2, feeder_3, feeder_4, feeder_5, feeder_6, feeder_7]
  
  feeders[event](True)
  
from floe import FP

from NeoPixel import NeoPixel
from Variable import Variable
from DigitalOutput import DigitalOutput
from SimpleFeeder import SimpleFeeder
from DigitalInput import DigitalInput
from CodeBlock import CodeBlock
from HbtLed import HbtLed
from ESP32Core import ESP32Core
from CANBus import CANBus
def setup(iris):
  CANBus(name="CANBus", pid=6545, rx=2, tx=4, adr=30, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  CodeBlock(name="code_block", pid=51573, code=code_block, kwargs=[FP(55160), FP(40932), FP(58927), FP(34500), FP(37926), FP(22517), FP(53053), FP(18823)], datatype="None", iris=iris)
  DigitalInput(name="function_button", pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name="can_slp", pid=25716, pin=13, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name="ESP32Core", pid=6074, wifi=False, hbt_led=FP(55894), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name="hbt_led", pid=55894, pin=15, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_status", pid=47403, pin=12, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_0", pid=55160, button_pin=34, button_pullup='None', servo_pin=25, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(33279), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_1", pid=40932, button_pin=26, button_pullup='pullup', servo_pin=27, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(57676), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_2", pid=58927, button_pin=14, button_pullup='pullup', servo_pin=16, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(35167), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_3", pid=34500, button_pin=21, button_pullup='pullup', servo_pin=19, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(25260), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_4", pid=37926, button_pin=39, button_pullup='None', servo_pin=32, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(32411), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_5", pid=22517, button_pin=35, button_pullup='None', servo_pin=33, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(19748), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_6", pid=53053, button_pin=17, button_pullup='pullup', servo_pin=18, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(41232), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  SimpleFeeder(name="feeder_7", pid=18823, button_pin=23, button_pullup='pullup', servo_pin=22, freq=100, duty_retract=FP(23959), duty_feed=FP(21086), len_part=FP(27726), datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  Variable(name="duty_feed", pid=21086, state=210, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="duty_retract", pid=23959, state=130, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="feeder_num", pid=46277, state=0, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_1", pid=33279, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_2", pid=57676, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_3", pid=35167, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_4", pid=25260, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_5", pid=32411, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_6", pid=19748, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_7", pid=41232, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="num_feeds_8", pid=27726, state=1, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  iris.add_hots({"51573": [46277]})

